## org.eclipse.datatools.sqltools.sqlbuilder.views.source
Class SQLSourceViewerConfiguration

    java.lang.Object
      org.eclipse.jface.text.source.SourceViewerConfiguration
          org.eclipse.datatools.sqltools.sqlbuilder.views.source.SQLSourceViewerConfiguration

    public class SQLSourceViewerConfiguration

extends org.eclipse.jface.text.source.SourceViewerConfiguration

Constructor Summary
`SQLSourceViewerConfiguration()` Constructor.

Method Summary
`void` `addDBContext(IDBContext context)`
`SQLCompletionProcessor` `getCompletionProcessor()` Gets the SQL Completion Processor (content assist proposal processor) associated with this configuration.
`java.lang.String[]` `getConfiguredContentTypes(org.eclipse.jface.text.source.ISourceViewer sourceViewer)`
`org.eclipse.jface.text.contentassist.IContentAssistant` `getContentAssistant(org.eclipse.jface.text.source.ISourceViewer sourceViewer)`
`boolean` `getIsContentAssistActive()` Gets whether or not content assist is active.
`org.eclipse.jface.text.presentation.IPresentationReconciler` `getPresentationReconciler(org.eclipse.jface.text.source.ISourceViewer sourceViewer)`
`void` `removeDBContext()`
`void` `setIsContentAssistActive(boolean isContentAssistActive)` Sets whether or not content assist is active.

Methods inherited from class org.eclipse.jface.text.source.SourceViewerConfiguration

`getAnnotationHover, getAutoEditStrategies, getAutoIndentStrategy, getConfiguredDocumentPartitioning, getConfiguredTextHoverStateMasks, getContentFormatter, getDefaultPrefixes, getDoubleClickStrategy, getHyperlinkDetectors, getHyperlinkPresenter, getHyperlinkStateMask, getIndentPrefixes, getInformationControlCreator, getInformationPresenter, getOverviewRulerAnnotationHover, getQuickAssistAssistant, getReconciler, getTabWidth, getTextHover, getTextHover, getUndoManager`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLSourceViewerConfiguration

    public SQLSourceViewerConfiguration()

  Constructor.

Method Detail

### addDBContext

    public void addDBContext(IDBContext context)

  Parameters:
    `context` - org.eclipse.datatools.sqltools.sqlbuilder.views.source.IDBContext

### getCompletionProcessor

    public SQLCompletionProcessor getCompletionProcessor()

  Gets the SQL Completion Processor (content assist proposal processor) associated with this configuration.

  Returns:
    the SQL Completion Processor object

### getConfiguredContentTypes

    public java.lang.String[] getConfiguredContentTypes(org.eclipse.jface.text.source.ISourceViewer sourceViewer)

  Overrides:
    `getConfiguredContentTypes` in class `org.eclipse.jface.text.source.SourceViewerConfiguration`
  Parameters:
    `sourceViewer` - java.lang.Object
  Returns:
    java.lang.String[]

### getContentAssistant

    public org.eclipse.jface.text.contentassist.IContentAssistant getContentAssistant(org.eclipse.jface.text.source.ISourceViewer sourceViewer)

  Overrides:
    `getContentAssistant` in class `org.eclipse.jface.text.source.SourceViewerConfiguration`
  Parameters:
    `sourcePart` - java.lang.Object
  Returns:
    org.eclipse.jface.text.contentassist.IContentAssist

### getPresentationReconciler

    public org.eclipse.jface.text.presentation.IPresentationReconciler getPresentationReconciler(org.eclipse.jface.text.source.ISourceViewer sourceViewer)

  Overrides:
    `getPresentationReconciler` in class `org.eclipse.jface.text.source.SourceViewerConfiguration`
  Parameters:
    `sourceViewer` - java.lang.Object
  Returns:
    org.eclipse.jface.text.presentation.IPresentationReconciler

### getIsContentAssistActive

    public boolean getIsContentAssistActive()

  Gets whether or not content assist is active. This is part of a mechanism to handle focus lost events in the SQL source viewer. We don't want the SQL source to be validated (parsed) when the user triggers the content assistant (since the SQL is likely to be incomplete).

  Returns:
    true when content assist is active, otherwise false

### setIsContentAssistActive

    public void setIsContentAssistActive(boolean isContentAssistActive)

  Sets whether or not content assist is active. This is part of a mechanism to handle focus lost events in the SQL source viewer. We don't want the SQL source to be validated (parsed) when the user triggers the content assistant (since the SQL is likely to be incomplete).

  Parameters:
    `true` - when content assist is active, otherwise false

### removeDBContext

    public void removeDBContext()